#!/bin/sh -efu

a= . install2-init-functions
. shell-config

network_file="$destdir/etc/sysconfig/network"

# read hostname
h="$(shell_config_get "$network_file" HOSTNAME)"
[ -n "$h" ] || h="localhost.localdomain"

# read domainname
d="${h#*.}"
[ "$h" != "$d" ] || d="localdomain"

# fix domainname
[ "$d" != "localdomain" ] ||
    shell_config_set "$network_file" HOSTNAME "${h%%.*}.testdomain.ru"
